#ifndef BITTORRENT_PEER_CONNECTION_H
#define BITTORRENT_PEER_CONNECTION_H

#include <qsocket.h>
#include <qstring.h>
#include <qcstring.h>

class BitTorrentPeerConnection : public QSocket
{
	Q_OBJECT
public:
	BitTorrentPeerConnection( const QString& host, int port, const QString& id, const QString& myid );
	~BitTorrentPeerConnection();
	void start( const QByteArray& sha1, int piecelen );
	
signals:
	void finished();
	
private slots:
	void slotConnected();
	
protected:
	QString _host;
	QString _id;
	QString _myid;
	int _port;
	QByteArray _sha1;
	int _piecelen;
};

#endif

