#ifndef DOWNLOAD_VIEW_ITEM_H
#define DOWNLOAD_VIEW_ITEM_H

#include <qlistview.h>
#include <qstring.h>

class DownloadViewItem : public QListViewItem
{
public:
	static const int FILENAME;
	static const int STATUS;
	static const int SIZE;
	static const int PROGRESS;
	static const int HOST;
	static const int BANDWIDTH;
	static const int TIME;
	static const int CLIENT;
	
	DownloadViewItem( QListView *parent );
	DownloadViewItem( QListViewItem* parent );

	void setColumn( int column, const QString& value );

#if QT_VERSION >= 300
	virtual int compare( QListViewItem* item, int column, bool ascending ) const;
#else
	virtual QString key( int column, bool ascending ) const;
#endif
};


#endif
