#ifndef MESSENGER_H
#define MESSENGER_H
#include "BMessenger.h"
#include <qstring.h>

class Messenger : public BMessenger
{
    Q_OBJECT
public:
    Messenger( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~Messenger();
	void setMyId( int id );
	void setWho( const QString& who );
	void setMe( const QString& me );
	void addMessage( const QString& from, const QString& msg );
	const QString& getWho() const;
	
private slots:
	virtual void slotPressedEnter();
protected:
	int _id;
	QString _who;
	QString _me;
};

#endif // MESSENGER_H
