#include "BitTorrentPeerConnection.h"

BitTorrentPeerConnection::BitTorrentPeerConnection( const QString& host, int port, const QString& id, const QString& myid )
{
	_host = host;
	_port = port;
	_id = id;
	_myid = myid;
}

BitTorrentPeerConnection::~BitTorrentPeerConnection()
{
}

void BitTorrentPeerConnection::start( const QByteArray& sha1, int piecelen )
{
	qDebug( "BitTorrentPeerConnection::start() connecting <%s> <%d>", _host.ascii(), _port );
	_sha1 = sha1;
	_piecelen = piecelen;
	connect( this, SIGNAL( connected() ), SLOT( slotConnected() ) );
	connectToHost( _host, _port );
}

void BitTorrentPeerConnection::slotConnected()
{
	qDebug( "BitTorrentPeerConnection::slotConnected()" );
}

