#ifndef MESSENGER_THREAD
#define MESSENGER_THREAD

#include <qthread.h>
#include <qstring.h>

class MessengerContacts;

class MessengerThread : public QThread
{
public:
	MessengerThread( const QString& user, const QString& passwd, bool invisible, MessengerContacts* mc );
	~MessengerThread();
	virtual void run();
	void disconnect();
	static MessengerContacts* _messenger_contacts;
protected:
	QString _user;
	QString _passwd;
	int _id;
	bool _invisible;
	bool _quit;
};

#endif

